mobile-widgets
Create a new mobile widget
Creates a new mobile widget for the company.
POST
/
api
/
company
/
mobile_widgets
Create a new mobile widget
curl --request POST \
--url https://api.fluid.app/api/company/mobile_widgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mobile_widget": {
"name": "<string>",
"embed_url": "<string>",
"cover_image_url": "<string>",
"height": 123,
"droplet_installation_id": 123,
"page_scope": {
"home": true,
"explore": true
}
}
}
'import requests
url = "https://api.fluid.app/api/company/mobile_widgets"
payload = { "mobile_widget": {
"name": "<string>",
"embed_url": "<string>",
"cover_image_url": "<string>",
"height": 123,
"droplet_installation_id": 123,
"page_scope": {
"home": True,
"explore": True
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mobile_widget: {
name: '<string>',
embed_url: '<string>',
cover_image_url: '<string>',
height: 123,
droplet_installation_id: 123,
page_scope: {home: true, explore: true}
}
})
};
fetch('https://api.fluid.app/api/company/mobile_widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mobile_widget": {
"id": 123,
"droplet_installation_id": 123,
"company_id": 123,
"cover_image_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"embed_url": "<string>",
"height": 123,
"name": "<string>",
"page_scope": {
"home": true,
"explore": true
},
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}⌘I
Create a new mobile widget
